package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_holiday_wrk")
public class MaintHolidayWrk implements Serializable {

/*
	Table: maint_holiday_wrk
	------------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default  Extra   Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -------  ------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)             NO      PRI     (NULL)           select,insert,update,references           
	id                      int(11)       (NULL)             NO      PRI     (NULL)           select,insert,update,references           
	holiday_type            varchar(4)    latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	calendar_year           varchar(4)    latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	country_alpha3_code     varchar(3)    latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	state_code              varchar(200)  latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	holiday_date            date          (NULL)             NO              (NULL)           select,insert,update,references           
	auth_rej_remarks        varchar(200)  latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	description             varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	weekday                 varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	entity_status           varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	maker                   timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	maker_timestamp         varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	checker                 timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)  
	sysdate_timestamp        */

	@Column(name = "legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name = "id")
	private Integer id;
	
	@Column(name = "holiday_type")
	private String holidayType;
	
	@Column(name = "calendar_year")
	private String calendarYear;
	
	@Column(name = "country_alpha3_code")
	private String countryAlpha3Code;
	
	@Column(name = "state_code")
	private String stateCode;
	
	@Column(name = "holiday_date")
	private Date holidayDate;
	
	@Column(name = "auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name = "description")
	private String description;
	
	@Column(name = "weekday")
	private String weekday;
	
	@Column(name = "entity_status")
	private String entityStatus;
	
	@Column(name = "status")
	private String status;
	
	@Column(name = "maker")
	private String maker;

	@Column(name = "maker_timestamp")
	private Date makerTimestamp;

	@Column(name = "checker")
	private String checker;

	@Column(name = "checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name = "businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name = "sysdate_timestamp")
	private Date sysdateTimestamp;

	
	
	/**
	 * @return the authRejRemarks
	 */
	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	/**
	 * @param authRejRemarks the authRejRemarks to set
	 */
	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the calendarYear
	 */
	public String getCalendarYear() {
		return calendarYear;
	}

	/**
	 * @param calendarYear the calendarYear to set
	 */
	public void setCalendarYear(String calendarYear) {
		this.calendarYear = calendarYear;
	}

	/**
	 * @return the holidayType
	 */
	public String getHolidayType() {
		return holidayType;
	}

	/**
	 * @param holidayType the holidayType to set
	 */
	public void setHolidayType(String holidayType) {
		this.holidayType = holidayType;
	}

	/**
	 * @return the countryAlpha3Code
	 */
	public String getCountryAlpha3Code() {
		return countryAlpha3Code;
	}

	/**
	 * @param countryAlpha3Code the countryAlpha3Code to set
	 */
	public void setCountryAlpha3Code(String countryAlpha3Code) {
		this.countryAlpha3Code = countryAlpha3Code;
	}

	/**
	 * @return the stateCode
	 */
	public String getStateCode() {
		return stateCode;
	}

	/**
	 * @param stateCode the stateCode to set
	 */
	public void setStateCode(String stateCode) {
		this.stateCode = stateCode;
	}

	/**
	 * @return the holidayDate
	 */
	public Date getHolidayDate() {
		return holidayDate;
	}

	/**
	 * @param holidayDate the holidayDate to set
	 */
	public void setHolidayDate(Date holidayDate) {
		this.holidayDate = holidayDate;
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return the weekday
	 */
	public String getWeekday() {
		return weekday;
	}

	/**
	 * @param weekday the weekday to set
	 */
	public void setWeekday(String weekday) {
		this.weekday = weekday;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	
	
	
}
